import { RequestManager } from "fancy-hateoas-client";
import { AngularRequestManagerOptions } from './provide';
/**
 * A special angular implementation for the RequestManager using angulars HttpClient.
 */
export declare class AngularRequestManager extends RequestManager {
    private options;
    private _httpClient;
    private _tokenProvider;
    private _router;
    constructor(options: AngularRequestManagerOptions);
    protected request(method: 'GET' | 'PUT' | 'POST' | 'DELETE', url: string, body?: any): Promise<any>;
    private getXsrfCookie;
}
